Name:    xforms
Summary: XForms toolkit library
Version: 1.0.90
Release: 1

License: LGPLv2+
Group:   System Environment/Libraries
URL:     http://www.nongnu.org/xforms/
Source0: http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz
Source1: http://savannah.nongnu.org/download/%{name}/%{name}-%{version}.tar.gz.sig 
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make

BuildRequires: libjpeg-devel
BuildRequires: libXpm-devel
Requires: libjpeg
Requires: libXpm

# import/export: png, sgi (optional?)
# Requires: netpbm-progs
# import eps,ps (optional?)
# Requires: ghostscript


%description
XForms is a GUI toolkit based on Xlib for X Window Systems. It
features a rich set of objects, such as buttons, sliders, and menus
etc. integrated into an easy and efficient object/event callback
execution model that allows fast and easy construction of
X-applications. In addition, the library is extensible and new objects
can easily be created and added to the library.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for the XForms toolkit library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libXpm-devel
Requires: libjpeg-devel
%description devel
%{summary}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

cp ./lib/.libs/libforms.so.1 .
cp ./image/.libs/libflimage.so.1 .
cp ./gl/.libs/libformsGL.so.1 .
gmake distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./lib/.libs/libforms.a ./libforms.so.1
${AR} -q ./image/.libs/libflimage.a ./libflimage.so.1
${AR} -q ./gl/.libs/libformsGL.a ./libformsGL.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/*

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING.LIB Copyright ChangeLog NEWS README
%{_libdir}/*.a
/usr/lib/*.a

%files devel
%defattr(-,root,system)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.la
%{_mandir}/man?/*
/usr/bin/*
/usr/include/*
/usr/lib/*.la


%changelog 
* Sat Apr 26 2008 Michael Perzl <michael@perzl.org> - 1.0.90-1
- first version for AIX V5.1 and higher
